/*
    semu - Sega Saturn Emulator
    Copyright (C) 1998  Chuck Mason

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Chuck Mason IV                      chuckjr@sundial.net
    477 Moffat Loop
    Oviedo, Fl 32765
*/

#ifndef __MAIN_H
#define __MAIN_H

#define SEMU_VERSION "0.1.8"

#define RET_SUCCESS 1
#define RET_FAILURE 0

#define DEFAULT_CDDEV "/dev/cdrom"

char *strnchr(char *, char, int);
int parse_options(int, char **);
void help();
void intro();

extern int show_cdrom_info;
extern int play_music;
extern int user_cddevice;
extern int use_romfile;
extern int use_sh2_debugger;
extern int use_cdrom;

#endif